--
-- RuchomeW
-- author: Marcin345
-- 16.08.2011 r. Marcin345-mods.xaa.pl

RuchomeW = {};

function RuchomeW.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Sprayer, specializations);
end;

function RuchomeW:load(xmlFile)
	self.Walek = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Walek#index"));
	self.Walek1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Walek1#index"));
	self.Walek2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Walek2#index"));
	self.Walek3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Walek3#index"));
end;

function RuchomeW:delete()
end;

function RuchomeW:mouseEvent(posX, posY, isDown, isUp, button)
end;

function RuchomeW:keyEvent(unicode, sym, modifier, isDown)
end;

function RuchomeW:update(dt)
end;

function RuchomeW:updateTick(dt)
	if self:getIsActive() then
		if self.isTurnedOn then
			rotate(self.Walek, 0, 0, 0.6);
		end;
		if self.isTurnedOn then
			rotate(self.Walek1, 0, 0, 0.6);
		end;
		if self.isTurnedOn then
			rotate(self.Walek2, 0, 0, 0.6);
		end;
		if self.isTurnedOn then
			rotate(self.Walek3, 0.6, 0, 0);
		end;
	end;
end;

function RuchomeW:draw()
end;

function RuchomeW:onDetach()
end;

function RuchomeW:onLeave()
end;

function RuchomeW:onDeactivate()
end;
